    Display any PSF model applied to a data set.

show_psf(id=None, outfile=None, clobber=False)
id - int or str, optional
outfile - str, optional
clobber - bool, optional

The PSF model represents the full model or data set that is applied to the source expression. The `show_kernel` function shows the filtered version.

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then all data sets are displayed.
outfile
If not given the results are displayed to the screen, otherwise it is taken to be the name of the file to write the results to.
clobber
If `outfile` is not none , then this flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

Notes

The point spread function (PSF) is defined by the full (unfiltered) PSF image or model expression evaluated over the full range of the dataset; both types of PSFs are established with `load_psf` . The kernel is the subsection of the PSF image or model which is used to convolve the data: this is changed using `set_psf` . While the kernel and PSF might be congruent, defining a smaller kernel helps speed the convolution process by restricting the number of points within the PSF that must be evaluated.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023